Module java.base
Package java.text

# Class Format.Field

java.lang.Object
java.text.AttributedCharacterIterator.Attribute
java.text.Format.Field

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DateFormat.Field`, `MessageFormat.Field`, `NumberFormat.Field`

Enclosing class:
  Format

public static class Format.Field extends AttributedCharacterIterator.Attribute
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `Format.formatToCharacterIterator` and as field identifiers in `FieldPosition`.

Since:
  1.4
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class java.text.AttributedCharacterIterator.Attribute

`INPUT_METHOD_SEGMENT, LANGUAGE, READING`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Field(String name)`
Creates a Field with the specified name.

## Method Summary

### Methods declared in class java.text.AttributedCharacterIterator.Attribute

`equals, getName, hashCode, readResolve, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Field

protected Field(String name)
Creates a Field with the specified name.

Parameters:
  `name` - Name of the attribute